"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.VuePhpCompilerWebpackPlugin = undefined;

var _index = require("./index");

class VuePhpCompilerWebpackPlugin {
    apply(compiler, callback) {
        compiler.plugin("emit", function (compilation, callback) {
            let files = compilation.modules.map(item => item.userRequest).filter(item => item).filter(item => !/node_modules/.test(item));
            (0, _index.recursiveCompile)(files).then(function () {
                callback();
            });
        });
    }
}
exports.VuePhpCompilerWebpackPlugin = VuePhpCompilerWebpackPlugin;